pm_register
Prev | Chapter 15. Power Management | Next

## Name

pm_register — register a device with power management

## Synopsis

`struct pm_dev * pm_register (` | pm_dev_t | type,
| unsigned long | id,
| pm_callback | callback`)`;

## Arguments

`type`

  device type

`id`

  device ID

`callback`

  callback function

## Description

Add a device to the list of devices that wish to be notified about power management events. A pm_dev structure is returned on success, on failure the return is `NULL`.

The callback function will be called in process context and it may sleep.

Prev | Up | Next
Chapter 15. Power Management | Home | pm_send_all